/*!**************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/footer.css ***!
  \**************************************************************************************************************/
footer {
	background-color : black;
	color : white;
	height : 300px;

}

footer ul {
	list-style : none;
	margin : 25px auto;
	width : 700px;
	text-align : center;
}


footer .ligne {
	display : inline;
	margin-right : 10px;
	line-height: 24px;
}

footer p {
	text-align : center;
	width : 100%;
	margin-top : 50px;
	position : relative;
	top : 30px;
	font-size : 24px;
	margin-bottom: 100px;
}

footer a {
	display : inline-block;
	font-size : 16px;
	text-decoration : none;
	color : grey;
}

footer a:hover {
	color : white;
	border-bottom : 1px solid white;
}
/*!**************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/header.css ***!
  \**************************************************************************************************************/
body {
    margin: 0;
    font-family: 'Arial', sans-serif;
}
header{
    background-color: black;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width : 100%;
    /*height : 160px;*/

}

header a{
    text-decoration: none;
    color:var(--greyMH);
    font-size: 14px;
}

.topHead{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 10px;
    width: 90%;
}

.toHide{
    width: 40px;
}
#brandBtn img{
    width: 150px;
}

.cartInfo{
    position: relative;
    top:20px;
}

#cartBtn img{
    width: 30px;
}

.bottomHead ul{
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin-top: 5px;
    margin-bottom: 10px;
    gap: 20px;
    padding-left: 0;
    text-transform: uppercase;
}

.bottomHead ul a:hover{
    color: white;
    border-bottom: 1px solid white;
}

#totalItem{
    position: absolute;
    bottom: -4px;
    right: -4px;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    background-color: white;
    color: black;
    border-radius: 50%;
    font-size: 12px;
    margin: 0;
}
/*resp*/

@media screen and (max-width:1024px){
    .content{
        padding: 0px 20px !important;
    }
}
@media screen and (max-width:769px){
    .content{
        font-size: 14px !important;
    }
}

/*footer*/
/* resp css*/
ul.footer-badges-list {
    flex-wrap: wrap;
}
footer a {
    word-break: break-all;
    box-sizing: border-box;
}
body , body * {
    box-sizing: border-box!important;
}
body footer ul {
    max-width: 700px;
    width: 100%!important;
    gap: 10px;
    display: flex;
    justify-content:center;
    flex-wrap: wrap;
    margin: 0px auto;
    padding: 0px;
    box-sizing: border-box;
}
#gd-pre-footer .wrapper {
    flex-wrap: wrap;
}
footer p {
    margin-bottom: 30px;
    display: block;
    margin-top: 0px;
    top: 0px;
}
footer {
    height: unset;
    padding: 70px 20px;
}
ul.footer-badges-list {
    flex-wrap: wrap;
    padding: 0px 20px;
    gap: 20px;
}
@media only screen and (max-width: 1024px){
    #gd-pre-footer .wrapper{
        gap: 20px!important;
        padding:0px 20px;
    }

    ul.footer-badges-list{
        margin:0px;
        padding:60px 20px;
    }
}
@media only screen and (max-width: 767px){
    footer a {
        font-size:13px;
    }

    #gd-pre-footer .wrapper .divImageMarquage{
        width: calc(50% - 10px);
        min-width: calc(50% - 10px);
    }

    .bottomHead ul{
        padding: 0px 20px;
        justify-content: center;
    }
    footer .ligne {
        width: 100%;
        text-align: center;
    }

    ul.footer-badges-list li {
        width: calc(50% - 10px);
    }
}
/*header*/
#toggleNav {
    display:none;
}
@media only screen and (max-width: 1024px){
    .topHead{
        align-items:center;;
    }
    #cartBtn img {
        width: 25px;
    }
    #totalItem {
        bottom: -1px;
        right: -2px;
        width: 15px;
        height: 15px;
        line-height:15px;
        font-size: 10px;

    }
    span#toggleNav {
        width: 22px;
        display:inline-block;
    }
    #toggleNav .line{
        width:100%;
        display:block;
        height:1px;
        transition:0.3s;
        background:#fff;
    }
    #toggleNav.active .line.line1{
        transform:rotate(45deg);
    }
    #toggleNav.active .line.line2{
        position:relative;
        top:-5px;
        transform:rotate(-45deg);
    }
    #toggleNav.active .line.line3{
        display: none;
    }
    #toggleNav .line + .line{
        margin-top:5px;
    }
    body:has(.bottomHead.active){
        overflow:hidden;
    }
    .bottomHead{
        left:-250px;
        position: fixed;
        transition:0.3s;
        width: 250px;
        background: #000;
        z-index: 999;
        max-width: 95%;
        top: 50px;
        bottom: 0px;
        display: flex;
        align-items: start;
        padding-top:50px;
        justify-content: start;
    }
    .bottomHead.active{
        left: 0px;
    }

    a#brandBtn img {
        width:100px;
    }
    header ul{
        gap: 10px!important;
    }
    header a {
        text-align: left;
        font-size: 12px;
    }
    .bottomHead ul{
        padding: 0px 20px;
        justify-content: start;
    }
    .cartInfo{
        top: 0px !important;
    }
    span.toHide{
        display:none;
    }
}
@media only screen and (max-width: 767px){
    #cartBtn img {
        width: 25px;
    }
    #totalItem {
        bottom: -1px;
        right: -2px;
        width: 15px;
        height: 15px;
        line-height:15px;
        font-size: 10px;

    }
    span#toggleNav {
        width: 22px;
        display:inline-block;
    }
    #toggleNav .line{
        width:100%;
        display:block;
        height:1px;
        transition:0.3s;
        background:#fff;
    }
    #toggleNav.active .line.line1{
        transform:rotate(45deg);
    }
    #toggleNav.active .line.line2{
        position:relative;
        top:-5px;
        transform:rotate(-45deg);
    }
    #toggleNav.active .line.line3{
        display: none;
    }
    #toggleNav .line + .line{
        margin-top:5px;
    }
    body:has(.bottomHead.active){
        overflow:hidden;
    }
    .bottomHead{
        left:-250px;
        position: fixed;
        transition:0.3s;
        width: 250px;
        background: #000;
        z-index: 999;
        max-width: 95%;
        top: 50px;
        bottom: 0px;
        display: flex;
        align-items: start;
        padding-top:50px;
        justify-content: start;
    }
    .bottomHead.active{
        left: 0px;
    }

    a#brandBtn img {
        width:100px;
    }
    header ul{
        gap: 10px!important;
    }
    header a {
        text-align: left;
        font-size: 12px;
    }
    .bottomHead ul{
        padding: 0px 20px;
        justify-content: start;
    }
    .cartInfo{
        top: 0px !important;
    }
    span.toHide{
        display:none;
    }
}
/***.bandeau ul {*/
/*    display : flex;*/
/*    list-style : none;*/
/*    margin : 50px auto;*/
/*    width : 700px;*/
/*    text-transform : uppercase;*/
/*}*/

/*.bandeau li {*/
/*    margin : 0 auto;*/
/*    text-align : center;*/
/*    border : 3px solid black;*/
/*    font-size : 16px;*/
/*    letter-spacing : 0px;*/
/*}*/

/*.bandeau a {*/
/*    text-decoration : none;*/
/*    color : #BFBFBF;*/
/*}*/

/*.bandeau a:hover {*/
/*    color : white;*/
/*    border-bottom : 1px solid white;*/
/*}*/

/*.onglet2 a {*/
/*    color : white;*/
/*    border-bottom : 1px solid white;*/
/*}*/

@media screen and (max-width:1024px){
    section h6{
        margin: 20px 0px
    }
    section{
        width: 100% !important;;
        margin:70px auto !important;
        padding: 0px 20px !important;
    }
    .titre{
        margin-top:30px;
    }
}
@media screen and (max-width:769px){
    .content{
        font-size: 14px !important;
    }
}

.livraison-offerte-bandeau {
    background-color: var(--greenMH);
    text-align: center;
    padding: 5px 0;
    width: 100%;
}

.livraison-offerte-bandeau p {
    margin: 0;
    color: white !important;
    font-size: 16px;
    /*font-weight: bold;*/
}


/*!**************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/style_q_frequentes.css ***!
  \**************************************************************************************************************************/
:root {
	--greenMH: #21C366;
	--greyMH: #D5D5D5;
	--blueMH: #0076BA;
	--grisTextMH: #5E5E5E;
}

* {
	/*margin: 0;*/
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100%;
	vertical-align: baseline;
	background: transparent;
}


html {
	font-family: 'Mulish', sans-serif;
}

p {
	line-height: 1.5;
}

.titles{
	width: 70%;
	margin: 50px auto 0 auto;
	padding: 0 35px 0 35px;

}

.titles ul{
	display: flex;
	list-style: none;
	gap: 20px;
}

.titles ul li {
	cursor: pointer;
	color: var(--greenMH);
	font-size: 18px;
	border: 1px solid rgba(0, 0, 0, 0);
	border-radius: 18px;
	padding: 7px 20px;
}

.titles ul li:hover {
	border: 1px solid var(--greenMH);
	border-radius: 18px;
}

h1 {
	font-size : 25px;
	text-align: center;
	margin-top: 90px;
}

section {
	width : 70%;
	margin : 0 auto 10px auto;
	border : 2px solid var(--greenMH);
	border-radius : 10px;
	/*margin-bottom : 10px;*/
	padding: 35px;
}

.selectedSection {
	display: block;
}

.hiddenSection {
	display: none;
}

.selected{
	border: 1px solid var(--greenMH);
	border-radius: 18px;
	color: white !important;
	background-color: var(--greenMH);
}

h2 {
	font-size : 20px;
	padding-top : 30px;
	padding-bottom : 30px;
	/*padding-left : 50px;*/
}

.question {
	font-size: 20px;
	margin : 15px 0 15px 0;
	padding : 10px 0 10px 0;
}

.toHideText {
	padding-left : 25px;
	padding-right : 80px;
	margin-bottom : 20px;
	display : none;
}

.fleche {
	display : inline-block;
	vertical-align : middle;
	float : right;
	/*margin-right : 50px;*/
	width: 30px;
	height: 30px;
	/*background-color : #D6D6D6; */
}

.topic {
	display : block;
	/*width : 1100px;*/
	/*margin : 0 auto;*/
	margin-bottom : 20px;
	border-bottom : 1px solid black;
	/*background-color : #EDEDED;*/
}

.topicHead{
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	cursor : pointer;

}
/*resp  */
.question{
	width:calc(100% - 40px);
	font-weight: 600;
}
.topic{
	margin:0px 0px!important;
}
.topic:last-child{
	border-bottom:0px solid transparent;

}
.topic:last-child .topicHead .question{
	padding-bottom:0px;
	margin-bottom: 0px!important;
}
.topicHead{
	flex-wrap: nowrap;
}
.toHideText{
	line-height:1.4;
	padding-left:0px!important
}
/* Style to remove bullet points from the UL inside the FAQ text, formerly an inline style */
.toHideText ul {
	list-style: none;
}
.toHideText li{
	margin-bottom:12px;
}
.titles ul{
	gap:20px;
	flex-wrap:wrap;

}
.titles {
	max-width:1240px;
	width:100%;
	margin-top: 0px;
	padding:10px 20px;
}
.titles ul li{
	border-radius:10px;
	min-height:60px;
	align-items:Center;
	font-size:16px;
	display:flex;
	background:#21c3661f;
	width:calc(25% - 15px);
	justify-content:center;
}

.titles ul li.selected{
	border-radius:10px;
	background:#21c366;
}
.selectedSection{
	max-width:1200px;
	width:calc(100% - 40px);
	margin:20px auto 70px auto;
}
@media only screen and (max-width: 1024px){
	.toHideText{
		margin-top: 0px;
		padding-right:0px;
	}
	.titles ul li{

		width:calc(50% - 15px);

	}

	.selectedSection h2{
		padding:0px;
	}
	h1{
		margin: 70px 0px 0px 0px ;
	}
}
@media only screen and (max-width: 767px){
	.selectedSection{
		padding:20px;
	}
	.question{
		font-size:16px;
	}
	.titles ul{
		margin-bottom: 0px;
		gap:10px;
	}
	.titles ul li {
		min-height:unset;
		padding:15px;
		width: 100%;
	}
	img.fleche{
		width:20px;
		height:unset!important;
	}
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/